Next Previous Up Contents
Next: skygrid
Up: Layer Types
Previous: skydensity

#### 8.3.37 `healpix`

Plots a table representing HEALPix pixels on the sky. Each row represents a single HEALPix tile, and a value from that row is used to colour the corresponding region of the sky plot.

The way that data values are mapped to colours is usually controlled by options at the level of the plot itself, rather than by per-layer configuration.

Usage Overview:

       layerN=healpix datalevelN=<int-value> datasysN=<value>
                      viewsysN=equatorial|galactic|supergalactic|ecliptic
                      degradeN=<int-value> combineN=sum|sum-per-unit|count|...
                      perunitN=steradian|degree2|arcmin2|arcsec2|mas2|uas2
                      transparencyN=0..1 healpixN=<num-expr> valueN=<num-expr>
                      inN=<table> ifmtN=<in-format> istreamN=true|false
                      icmdN=<cmds>

All the parameters listed here affect only the relevant layer, identified by the suffix `N`.

Example:

       stilts plot2sky layer1=healpix in1=simbad-hpx8.fits healpix1=HPX8 value1=NBREF
                       datalevel1=8 degrade1=2 combine=sum-per-unit perunit=arcmin2
                       projection=aitoff datasys1=equatorial viewsys=galactic labelpos=none
                       auxfunc=log auxmap=cold auxflip=true auxclip=0,1
                       xpix=600 ypix=280

`combineN = sum|sum-per-unit|count|...` (Combiner)
  Defines how values degraded to a lower HEALPix level are combined together to produce the value assigned to the larger tile, and hence its colour. This is mostly useful in the case that `degrade`>0.

  For density-like values (`count-per-unit`, `sum-per-unit`) the scaling is additionally influenced by the `perunit` parameter.

  The available options are:

  - `sum`: the sum of all the combined values per bin
  - `sum-per-unit`: the sum of all the combined values per unit of bin size
  - `count`: the number of non-blank values per bin (weight is ignored)
  - `count-per-unit`: the number of non-blank values per unit of bin size (weight is ignored)
  - `mean`: the mean of the combined values
  - `median`: the median of the combined values (may be slow)
  - `min`: the minimum of all the combined values
  - `max`: the maximum of all the combined values
  - `stdev`: the sample standard deviation of the combined values
  - `hit`: 1 if any values present, NaN otherwise (weight is ignored)

  [Default: `mean`]

`datalevelN = <int-value>` (Integer)
  HEALPix level of the (implicit or explicit) tile indices. Legal values are between 0 (12 pixels) and 29 (3458764513820540928 pixels). If a negative value is supplied (the default), then an attempt is made to determine the correct level from the data.

  [Default: `-1`]

`datasysN = <value>` (SkySys)
  The sky coordinate system to which the HEALPix grid used by the input pixel file refers.

  [Default: `equatorial`]

`degradeN = <int-value>` (Integer)
  Allows the HEALPix grid to be drawn at a less detailed level than the level at which the input data are supplied. A value of zero (the default) means that the HEALPix tiles are painted with the same resolution as the input data, but a higher value will degrade resolution of the plot tiles; each plotted tile will correspond to 4^`degrade` input tiles. The way that values are combined within each painted tile is controlled by the `combine` value.

  [Default: `0`]

`healpixN = <num-expr>` (String)
  HEALPix index indicating the sky position of the tile whose value is plotted. If not supplied, the assumption is that the supplied table contains one row for each HEALPix tile at a given level, in ascending order.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`icmdN = <cmds>` (ProcessingStep[])
  Specifies processing to be performed on the layer N input table as specified by parameter `inN`. The value of this parameter is one or more of the filter commands described in Section 6.1. If more than one is given, they must be separated by semicolon characters (";"). This parameter can be repeated multiple times on the same command line to build up a list of processing steps. The sequence of commands given in this way defines the processing pipeline which is performed on the table.

  Commands may alteratively be supplied in an external file, by using the indirection character '@'. Thus a value of "`@filename`" causes the file `filename` to be read for a list of filter commands to execute. The commands in the file may be separated by newline characters and/or semicolons, and lines which are blank or which start with a '`#`' character are ignored.

`ifmtN = <in-format>` (String)
  Specifies the format of the input table as specified by parameter `inN`. The known formats are listed in Section 5.1.1. This flag can be used if you know what format your table is in. If it has the special value `(auto)` (the default), then an attempt will be made to detect the format of the table automatically. This cannot always be done correctly however, in which case the program will exit with an error explaining which formats were attempted. This parameter is ignored for scheme-specified tables.

  [Default: `(auto)`]

`inN = <table>` (StarTable)
  The location of the input table. This may take one of the following forms:
  - A filename.
  - A URL.
  - The special value "`-`", meaning standard input. In this case the input format must be given explicitly using the `ifmtN` parameter. Note that not all formats can be streamed in this way.
  - A scheme specification of the form `:<scheme-name>:<scheme-args>`.
  - A system command line with either a "`<`" character at the start, or a "`|`" character at the end ("`<syscmd`" or "`syscmd|`"). This executes the given pipeline and reads from its standard output. This will probably only work on unix-like systems.
  In any case, compressed data in one of the supported compression formats (gzip, Unix compress or bzip2) will be decompressed transparently.
`istreamN = true|false` (Boolean)
  If set true, the input table specified by the `inN` parameter will be read as a stream. It is necessary to give the `ifmtN` parameter in this case. Depending on the required operations and processing mode, this may cause the read to fail (sometimes it is necessary to read the table more than once). It is not normally necessary to set this flag; in most cases the data will be streamed automatically if that is the best thing to do. However it can sometimes result in less resource usage when processing large files in certain formats (such as VOTable). This parameter is ignored for scheme-specified tables.

  [Default: `false`]

`perunitN = steradian|degree2|arcmin2|arcsec2|mas2|uas2` (SolidAngleUnit)
  Defines the unit of sky area used for scaling density-like combinations (e.g. `combine`=`count-per-unit` or `sum-per-unit`). If the Combination mode is calculating values per unit area, this configures the area scale in question. For non-density-like combination modes (e.g. `combine`=`sum` or `mean`) it has no effect.

  The available options are:

  - `steradian`: (180/Pi)^2 deg^2
  - `degree2`: square degrees
  - `arcmin2`: square arcminute, (1/60)^2 deg^2
  - `arcsec2`: square arcsecond, (1/3600)^2 deg^2
  - `mas2`: square milliarcsecond, (.001/3600)^2 deg^2
  - `uas2`: square microarcsecond, (1e-6/3600)^2 deg^2

  [Default: `degree2`]

`transparencyN = 0..1` (Double)
  Transparency with which components are plotted, in the range 0 (opaque) to 1 (invisible). The value is 1-alpha.

  [Default: `0`]

`valueN = <num-expr>` (String)
  Value of HEALPix tile, determining the colour which will be plotted.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`viewsysN = equatorial|galactic|supergalactic|ecliptic` (SkySys)
  The sky coordinate system used for the generated plot.

  Choice of this value goes along with the data coordinate system that may be specified for plot layers. If unspecified, a generic longitude/latitude system is used, and all lon/lat coordinates in the plotted data layers are assumed to be in the same system. If a value is supplied for this parameter, then a sky system must (implicitly or explicitly) be supplied for each data layer, and the coordinates are converted from data to view system before being plotted.

  The available options are:

  - `equatorial`: J2000 equatorial system
  - `galactic`: IAU 1958 galactic system
  - `supergalactic`: De Vaucouleurs supergalactic system
  - `ecliptic`: ecliptic system based on conversion at 2000.0

  [Default: `equatorial`]

Next Previous Up Contents
Next: skygrid
Up: Layer Types
Previous: skydensity

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk